% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ctStanPlotPost.R
\name{ctStanPlotPost}
\alias{ctStanPlotPost}
\title{ctStanPlotPost}
\usage{
ctStanPlotPost(ctstanfitobj, rows = "all", mfrow = "auto",
  parcontrol = list(mgp = c(1.3, 0.5, 0), mar = c(3, 2, 2, 1) + 0.2),
  wait = FALSE)
}
\arguments{
\item{ctstanfitobj}{fit object as generated by \code{\link{ctStanFit}}.}

\item{rows}{vector of integers denoting which rows of ctstanmodel$pars to plot priors for. 
Character string 'all' plots all rows with parameters to be estimated.}

\item{mfrow}{2 dimensional integer vector defining number of rows and columns of plots,
as per the mfrow argument to \code{\link[graphics]{par}}.
'auto' determines automatically, to a maximum of 4 by 4, while \code{NULL} 
uses the current system setting.}

\item{parcontrol}{parameters to pass to \code{\link[graphics]{par}} which temporarily
change plot settings.}

\item{wait}{If true, user is prompted to continue before plotting next graph.
If false, graphs are plotted one after another without waiting.}
}
\description{
Plots posterior and prior distributions of model parameters in a ctStanFit object.
}
\examples{
ctStanPlotPost(ctstantestfit)
}

